Uploaded image for project: 'XWiki Commons'
  1. XWiki Commons
  2. XCOMMONS-1106

@Unstable check is based on lowest @since

    XMLWordPrintable

    Details

    • Tests:
      Integration
    • Documentation:
      N/A
    • Documentation in Release Notes:
      N/A
    • Similar issues:

      Description

      New API are introduced in master branch and then sometimes also backported in LTS. The reference @since should be master version when this API was introduced (the highest @since) and not the lowest @since like now. Otherwise you can end up removing @Unstable tag only a few weeks after it's introduced just because it's introduced late in the LTS branch.

        Attachments

          Activity

            People

            Assignee:
            vmassol Vincent Massol
            Reporter:
            tmortagne Thomas Mortagne
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: